curl --request POST \
--url https://api.example.com/v1/crash-data/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": {
"latitude": 36.890333,
"longitude": -95.967285
},
"start_date": "2020-01-01",
"end_date": "2021-12-31",
"radius_km": 50
}
'import requests
url = "https://api.example.com/v1/crash-data/aggregate"
payload = {
"location": {
"latitude": 36.890333,
"longitude": -95.967285
},
"start_date": "2020-01-01",
"end_date": "2021-12-31",
"radius_km": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location: {latitude: 36.890333, longitude: -95.967285},
start_date: '2020-01-01',
end_date: '2021-12-31',
radius_km: 50
})
};
fetch('https://api.example.com/v1/crash-data/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"latitude": 37.7749,
"longitude": -104.9903,
"start_date": "2020-01-01",
"end_date": "2021-12-31",
"radius_km": 50,
"total_crashes": 110,
"total_injuries": 10,
"total_fatalities": 1,
"incomplete_coverage": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Aggregated Crash Data
Get aggregated crash statistics for a specific location and time period. Returns statistics within the specified radius.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Address or GPS coordinates to center the aggregation on.
Show child attributes
Show child attributes
Start date of the aggregation period.
"2020-01-01"
End date of the aggregation period.
"2021-12-31"
Distance in kilometers from the location for aggregation (1-500 km).
x <= 50050
Response
Successful Response
Latitude of the central location.
37.7749
Longitude of the central location.
-104.9903
Start date of the aggregation.
"2020-01-01"
End date of the aggregation.
"2021-12-31"
Distance in kilometers from the central location.
50
Total number of crashes.
110
Total number of injuries.
10
Total number of fatalities.
1
A warning if any states without available data are within the provided radius.

